lib64gd-static-devel-2.2.4-3.mga6.x86_64.rpm


Advertisement

Description

lib64gd-static-devel - Static GD library

Property Value
Distribution Mageia 6.1
Repository Mageia Core x86_64
Package filename lib64gd-static-devel-2.2.4-3.mga6.x86_64.rpm
Package name lib64gd-static-devel
Package version 2.2.4
Package release 3.mga6
Package architecture x86_64
Package type rpm
Category Development/C
Homepage http://www.libgd.org/
License BSD-like
Maintainer -
Download size 349.27 KB
Installed size 1.69 MB
gd is a graphics library. It allows your code to quickly draw images complete
with lines, arcs, text, multiple colors, cut and paste from other images, and
flood fills, and write out the result as a PNG or JPEG file. This is
particularly useful in World Wide Webapplications, where PNG and JPEG are two
of the formats accepted for in-line images by most browsers.
gd is not a paint program. If you are looking for a paint program, you are
looking in the wrong place. If you are not a programmer, you are looking in the
wrong place.
gd does not provide for every possible desirable graphics operation. It is not
necessary or desirable for gd to become a kitchen-sink graphics package, but
version 1.7.3 incorporates most of the commonly requested features for an 8-bit
2D package.
This package contains static gd library.

Alternatives

Package Version Architecture Repository
lib64gd-static-devel-2.2.5-2.3.mga6.x86_64.rpm 2.2.5 x86_64 Mageia Core Updates
lib64gd-static-devel-2.2.5-2.1.mga6.x86_64.rpm 2.2.5 x86_64 Mageia Core Updates
lib64gd-static-devel-2.2.5-2.mga6.x86_64.rpm 2.2.5 x86_64 Mageia Core Updates
lib64gd-static-devel-2.2.5-1.mga6.x86_64.rpm 2.2.5 x86_64 Mageia Core Updates
lib64gd-static-devel-2.2.4-3.1.mga6.x86_64.rpm 2.2.4 x86_64 Mageia Core Updates
lib64gd-static-devel - - -

Requires

Name Value
lib64gd-devel == 2.2.4

Provides

Name Value
gd-static-devel == 2.2.4-3.mga6
lib64gd-static-devel == 2.2.4-3.mga6
lib64gd-static-devel(x86-64) == 2.2.4-3.mga6
libgd-static-devel == 2.2.4-3.mga6

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package lib64gd-static-devel-2.2.4-3.mga6.x86_64.rpm
Source Package libgd-2.2.4-3.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install lib64gd-static-devel rpm package:
    # urpmi lib64gd-static-devel

Files

Path
/usr/lib64/libgd.a

Changelog

2017-06-28 - pterjan <pterjan> 2.2.4-3.mga6
+ Revision: 1108617
- Add a call to autoreconf to fix build with new automake
2017-01-30 - akien <akien> 2.2.4-2.mga6
+ Revision: 1084265
- Rebuild for BS issue
+ ns80 <ns80>
- new version 2.2.4 for CVE-2016-6912 and CVE-2016-9317 (mga#20171)
2016-11-16 - daviddavid <daviddavid> 2.2.3-5.mga6
+ Revision: 1067555
- add patch based on ubuntu to fix also CVE-2016-6911 (mga#19594)
2016-10-16 - daviddavid <daviddavid> 2.2.3-4.mga6
+ Revision: 1061005
- add upstream patch to fix CVE-2016-8670 (mga#19594)
- disable only tests that fails
2016-10-05 - ns80 <ns80> 2.2.3-3.mga6
+ Revision: 1058938
- add a patch for CVE-2016-7568 (mga#19481)
2016-07-22 - daviddavid <daviddavid> 2.2.3-2.mga6
+ Revision: 1043210
- add "-msse -mfpmath=sse" option to CFLAGS thus fixing really testsuite on x86-32 arch
* see https://github.com/libgd/libgd/issues/242
- add patch from fedora to fix also testsuite on ARM
2016-07-22 - luigiwalser <luigiwalser> 2.2.3-1.mga6
+ Revision: 1043173
- 2.2.3 (fixes CVE-2016-6207)
2016-07-20 - luigiwalser <luigiwalser> 2.2.2-7.mga6
+ Revision: 1042930
- add upstream patch to fix upstream issue 248
- add binary test case for issue 248 as Source4
2016-07-14 - luigiwalser <luigiwalser> 2.2.2-6.mga6
+ Revision: 1041970
- add upstream patch to fix CVE-2016-6214
- add binary test case for CVE-2016-6214 as Source3
2016-07-12 - luigiwalser <luigiwalser> 2.2.2-5.mga6
+ Revision: 1041265
- add upstream patch to fix CVE-2016-6132
- add binary test case for CVE-2016-6132 as Source2

See Also

Package Description
lib64gd3-2.2.4-3.mga6.x86_64.rpm A library used to create PNG, JPEG, or WBMP images
lib64gda-gir5.0-5.2.4-4.mga6.x86_64.rpm GObject Introspection interface description for Gda
lib64gda5.0-devel-5.2.4-4.mga6.x86_64.rpm GNU Data Access Development
lib64gda5.0_4-5.2.4-4.mga6.x86_64.rpm GNU Data Access Development
lib64gdal-devel-2.0.2-5.mga6.x86_64.rpm Development files for using the GDAL library
lib64gdal-static-devel-2.0.2-5.mga6.x86_64.rpm Development files for using the GDAL library
lib64gdal20-2.0.2-5.mga6.x86_64.rpm Libraries required for the GDAL library
lib64gdamm5.0-devel-4.99.11-2.mga6.x86_64.rpm Headers for developing programs that will use gda
lib64gdamm5.0_13-4.99.11-2.mga6.x86_64.rpm Main library for gdamm
lib64gdata-devel-0.17.8-2.mga6.x86_64.rpm Development files for libgdata
lib64gdata-gir0.0-0.17.8-2.mga6.x86_64.rpm GObject Introspection interface description for GData
lib64gdata22-0.17.8-2.mga6.x86_64.rpm Library for the GData protocol
lib64gdaui-gir5.0-5.2.4-4.mga6.x86_64.rpm GObject Introspection interface description for Gdaui
lib64gdbm-devel-1.12-1.mga6.x86_64.rpm Development libraries and header files for the gdbm library
lib64gdbm4-1.12-1.mga6.x86_64.rpm Main library for gdbm
Advertisement
Advertisement